Opened 13 years ago

Closed 13 years ago

Last modified 12 years ago

#13645 closed defect (fixed)

git-core activation error

Reported by: brian@… Owned by: mgrimes@…
Priority: Low Milestone:
Component: ports Version: 1.5.2
Keywords: Cc: bryan@…, boeyms@…
Port:

Description (last modified by jmpp@…)

While installing git-core I got the following error:

Error: Target org.macports.activate returned: Image error: /opt/local/lib/perl5/5.8.8/darwin-2level/perllocal.pod is being used by the active rrdtool port.  Please deactivate this port first, or use the -f flag to force the activation.

Forcing the activation gave me this:

{{ Warning: File /opt/local/lib/perl5/5.8.8/darwin-2level/perllocal.pod already exists. Moving to: /opt/local/lib/perl5/5.8.8/darwin-2level/perllocal.pod.mp_1198101660. }}}

Change History (7)

comment:1 Changed 13 years ago by jmpp@…

Description: modified (diff)
Milestone: Port Bugs
Summary: activation errorgit-core activation error

comment:2 Changed 13 years ago by afb@…

This is a generic error with many of the perl ports, each needs to have "perllocal.pod" removed from files.

comment:3 Changed 13 years ago by boeyms@…

Cc: bryan@… added
Owner: changed from macports-tickets@… to mgrimes@…

Assigning/cc'ing to port maintainers for their attention. I can confirm afb's diagnosis of the problem.

comment:4 Changed 13 years ago by zakame@…

Any update on this? I hit the same snag, except on the reverse: I had a git-core package already installed, and was trying to install rrdtool.

Perhaps the rrdtool maintainer should also be notified to remove the perllocal.pod in the port.

comment:5 Changed 13 years ago by boeyms@…

Cc: boeyms@… added

comment:6 Changed 13 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: newclosed

This problem has been fixed in r34462.

comment:7 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.